'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _vue = require('vue');

var Vue = _interopRequireWildcard(_vue);

var _KendoMaskedTextBoxMixin = require('./KendoMaskedTextBoxMixin');

var _KendoMaskedTextBoxMixin2 = _interopRequireDefault(_KendoMaskedTextBoxMixin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

const allVue = Vue;
const gh = allVue.h;
const isV3 = allVue.version && allVue.version[0] === '3';
exports.default = {
    name: 'kendo-maskedtextbox',
    mixins: [_KendoMaskedTextBoxMixin2.default],
    setup() {
        const v3 = isV3;
        return {
            v3
        };
    },
    render(createElement) {
        const h = gh || createElement;
        if (this.v3) {
            return h('input', {
                value: this.value
            });
        } else {
            return h('input', {
                props: {
                    value: this.value
                }
            });
        }
    }
};