---
title: Overview
page_title: Slider Overview - Components - Kendo UI for Vue
description: "Get an overview of the features the Kendo UI Slider wrapper for Vue delivers and use the component in Vue projects."
slug: overview_slider_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/inputs-wrapper/slider/"
position: 1
---

<div><WrapperBanner link="/kendo-vue-ui/components/inputs-wrapper/slider"></WrapperBanner></div>    

# Slider Overview

The Slider enables the user to increase, decrease, and select predefined values by dragging its handle along the track, or by clicking the side arrow buttons.

The component enables you to set minimum and maximum values, define its horizontal or vertical orientation, determine its small and large steps, and adjust the format and position of its tooltip.

The Slider wrapper for Vue is a client-side wrapper for [Kendo UI Slider](https://docs.telerik.com/kendo-ui/api/javascript/ui/slider) widget.

<div data-component="StartFreeTrialSection"></div>

## Basic Usage

The following example demonstrates the Slider in action.

{% meta height:280 %}
{% embed_file slider/basic/main.vue preview %}
{% embed_file slider/basic/main.js %}
{% endmeta %}

## Functionality and Features

The Slider supports [keyboard navigation]({% slug keyboard_navigation_slider_wrapper %}).

## Events

The following example demonstrates basic Slider events. You can subscribe to [all Slider events](https://docs.telerik.com/kendo-ui/api/javascript/ui/slider#events) by the handler name.

{% meta height:280 %}
{% embed_file slider/events/main.vue preview %}
{% embed_file slider/events/main.js %}
{% endmeta %}

## Suggested Links

* [Kendo UI Slider for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/slider/overview)
* [API Reference of the Slider Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/slider)
