---
title: Overview
page_title: Switch Overview - Components - Kendo UI for Vue
description: "Get an overview of the features the Kendo UI Switch wrapper for Vue delivers and use the component in Vue projects."
slug: overview_switch_wrapper
canonicalLink: "https://www.telerik.com/kendo-vue-ui/components/inputs/switch/"
position: 1
---

<div><WrapperBanner link="/kendo-vue-ui/components/inputs/switch/"></WrapperBanner></div>    

# Switch Overview

The Switch enables the user to toggle between checked and unchecked states, and displays exclusive choices.

The Switch wrapper for Vue is a client-side wrapper for [Kendo UI Switch](https://docs.telerik.com/kendo-ui/api/javascript/ui/switch) widget.

<div data-component="StartFreeTrialSection"></div>

## Basic Usage

The following example demonstrates the Switch in action.

{% meta height:100 %}
{% embed_file switch/basic/main.vue preview %}
{% embed_file switch/basic/main.js %}
{% endmeta %}

## Functionality and Features

* [Checked state]({% slug checked_state_switch_wrapper %})
* [Labels]({% slug labels_switch_wrapper %})
* [Keyboard navigation]({% slug keyboard_navigation_switch_wrapper %})
* [RTL support]({% slug right_to_left_support_switch_wrapper %})

## Suggested Links

* [Kendo UI Switch for jQuery](https://docs.telerik.com/kendo-ui/controls/editors/switch/overview)
* [API Reference of the Switch Widget](https://docs.telerik.com/kendo-ui/api/javascript/ui/switch)
